<?php

namespace HCM\FPA\Entity;

use HCM\Util\Repositories;
use HCM\Util\TkEntity;
use HCM\Util\DateUtil;
use Teknisa\Model\Gestaopessoas\Repositories\FpaResumodro;

class FpaTpdemissaoEntity extends TkEntity
{
    
    const	SEM_JUSTA_CAUSA_EMPREGADOR	=	2	;	// Rescisão sem justa causa, por iniciativa do empregador, inclusive rescisão antecipada do contrato a termo.
    const	SEM_JUSTA_CAUSA_EMPREGADO	=	5	;	// Rescisão sem justa causa por iniciativa do empregado.
    const	ANTECIPACAO_EMPREGADOR	=	21	;	// Rescisão antecipada, pelo empregador, do contrato de trabalho por prazo determinado.
    const	ANTECIPACAO_EMPREGADO	=	24	;	// Rescisão antecipada, pelo empregado, do contrato de trabalho por prazo determinado.
    const	ACORDO_ENTRE_PARTES	= 45;
    
    private $_nrOrg;
    private $_nrOrgPadrao;

    public function __construct($entityManager, $hcmParameters){
        $this->hcmParameters = $hcmParameters;
        $this->_nrOrg = $hcmParameters->getNrorgTrabalho();
        $this->_nrOrgPadrao = $hcmParameters->getNrorgPadrao();
        parent::__construct(null, $entityManager);
    }

    private function _inicializaLista(){
        $resultados = $this->entityManager->getRepository(Repositories::FPA_TPDEMISSAO)->retornaTipoDemissao($this->_nrOrg, $this->_nrOrgPadrao);
        foreach ($resultados as $item) {
            $this->addItem($item);
        }

    }

    public function procuraTipoDemissao($nrTpDemissao) {
        $this->_inicializaLista();
        $resultados = $this->getItems();
        if (count($resultados) > 0) {
            $resultados = $this->getItems();
        }

        foreach ($resultados as $item) {
            if ((int)$nrTpDemissao === (int)$item->getNrtpdemissao()) {
                return $item;
            }
        }

        return null;
    }
    
}

