<?php

namespace HCM\FPA\Registro;

class RegistroGRRF extends FPARegistro{

    const SIM = 'S';
    const NAO = 'N';
    const CNPJ = '1';
    const CEI = '2';
    const CPF = '3';

    //registros contendo informacoes sobre empresa e tomador de servico.
    const LISTA_TIPO_REG_EMP = '10,12,13,14,20,21,50,51';

    //registros contendo informacoes sobre funcionarios.
    const LISTA_TIPO_REG_TRAB = '30, 32';

    const GRRF_MES_ANTERIOR_RESCISAO = 1;
    const GRRF_MES_RESCISAO = 2;
    const GRRF_AVISO_PREVIO_INDENIZADO = 3;
    const GRRF_PENSAO_JURIDICA = 4;
    const GRRF_SALDO_FINS_RESCISORIOS = 5;
    const GRRF_COMPL_AVISO_PREVIO_INDENIZADO = 6;
    const GRRF_COMP_INF_COMPL = 7;

    private $_modalidade;
    private $_codigoRecolhimento;
    private $_competencia;
    private $_competencia13;

    protected function geraRegistro($tpRegistro, $tpInscricao, $nrInscricao){

        //bloco 1 | 001-002 | Tipo do Registro.
        $this->atribuiDado($tpRegistro, 2);

        //bloco 2 | 003 | Tipo de Inscricao.
        //@todo para empregador so pode aceitar 2.
        $this->atribuiDado($tpInscricao, 1);

        //bloco 3 | 004-017 | Inscricao da Empresa.
        $this->atribuiDado($nrInscricao, 14, parent::CARACTER_ZERO, self::PREENCHE_ESQUERDA);

    }

    public function setModalidade($modalidade){
        $this->_modalidade = $modalidade;
    }

    public function getModalidade(){
        return $this->_modalidade;
    }

    public function setCodigoRecolhimento($codigo){
        $this->_codigoRecolhimento = $codigo;
    }

    public function getCodigoRecolhimento(){
        return $this->_codigoRecolhimento;
    }

    public function setCompetencia($competencia){
        $this->_competencia = $competencia->format('Y/m');
    }

    public function getCompetencia(){
        return $this->_competencia;
    }
    
    public function setCompetencia13($competencia13){
        $this->_competencia13 = $competencia13;
    }
    
    public function getCompetencia13(){
        return $this->_competencia13;
    }

}