-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 12.x 
--   Created on:     05/10/2021  10:14                         
-- ============================================================

-- ============================================================
--   Table: GPE_MIGRACAO                                      
-- ============================================================
CREATE TABLE GPE_MIGRACAO
(
    NRORG                   NUMBER                                  NOT NULL,
    NRMIGRACAO              NUMBER                                  NOT NULL,
    NRORDEM                 NUMBER                                  NOT NULL,
    NMARQUIVO               VARCHAR(1000)                           NULL,
    DSARQUIVO               VARCHAR(1000)                           NULL,
    DSMIGRACAO              VARCHAR2(100)                           NULL,
    QTDADOSPENDENTES        NUMBER                                  NULL,
    QTDADOSIMPORTADOS       NUMBER                                  NULL,
    IDSTATUS                VARCHAR2(1)             DEFAULT 'P'     NULL,
    IDATIVO                 VARCHAR2(1)             DEFAULT 'S'     NULL,
    NRORGINCLUSAO           NUMBER                  DEFAULT 1       NULL,
    DTINCLUSAO              DATE                    DEFAULT SYSDATE NULL,
    CDOPERINCLUSAO          VARCHAR2(12)            DEFAULT '1'     NULL,
    NRORGULTATU             NUMBER                  DEFAULT 1       NULL,
    DTULTATU                DATE                    DEFAULT SYSDATE NULL,
    CDOPERULTATU            VARCHAR2(12)            DEFAULT '1'     NULL,
    CONSTRAINT PK_GPE_MIGRACAO PRIMARY KEY (NRORG, NRMIGRACAO),
    CONSTRAINT CKC_IDSTATUS_GPE_MIGRACAO CHECK (IDSTATUS IN ('P', 'A', 'C')) ENABLE,
    CONSTRAINT CKC_IDATIVO_GPE_MIGRACAO CHECK (IDATIVO IN ('S', 'N')) ENABLE
)
/

-- ============================================================
--   Table: GPE_LOGMIGRACAO                                      
-- ============================================================
CREATE TABLE GPE_LOGMIGRACAO
(
    NRORG                   NUMBER                                  NOT NULL,
    NRLOGMIGRACAO           NUMBER                                  NOT NULL,
    NRMIGRACAO              NUMBER                                  NOT NULL,
    DSMENSAGEM              VARCHAR2(4000)                          NOT NULL,
    IDATIVO                 VARCHAR2(1)             DEFAULT 'S'     NULL,
    NRORGINCLUSAO           NUMBER                  DEFAULT 1       NULL,
    DTINCLUSAO              DATE                    DEFAULT SYSDATE NULL,
    CDOPERINCLUSAO          VARCHAR2(12)            DEFAULT '1'     NULL,
    NRORGULTATU             NUMBER                  DEFAULT 1       NULL,
    DTULTATU                DATE                    DEFAULT SYSDATE NULL,
    CDOPERULTATU            VARCHAR2(12)            DEFAULT '1'     NULL,
    CONSTRAINT PK_GPE_LOGMIGRACAO PRIMARY KEY (NRORG, NRLOGMIGRACAO),
    CONSTRAINT CKC_IDATIVO_GPE_LOGMIGRACAO CHECK (IDATIVO IN ('S', 'N')) ENABLE,
    CONSTRAINT FK_NRMIGRACAO FOREIGN KEY (NRORG, NRMIGRACAO)
	  REFERENCES GPE_MIGRACAO (NRORG, NRMIGRACAO) ENABLE
)
/