<?php

/**
 * Fpaeventoh
 *
 * This class has been auto-generated by the Doctrine ORM Framework
 *
 * @package    DbModel
 * @subpackage Model
 * @author     SetForms Team <development@setforms.com>
 * @version    SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage |$
 */
class Fpaeventoh extends DaoFpaEventoh
{


    /**
     * Retorna o ultimo evento historico.
     *
     * @param int $nreventom Valor do link.
     *
     * @return Fpaeventoh
     *
     * @author alessandrobartels
     */
    public static function retornaUltimoHistorico($nreventom){
        $vh= null;
        $dtmescompetenc = \FPA::getDtCompetencia();
        $vinculos_historico = self::getObjectsByWhere(
            'NREVENTOM = ? AND DTMESCOMPETENC <= ? ', array($nreventom, $dtmescompetenc), 'DTMESCOMPETENC ASC'
        );

        if (empty($vinculos_historico) !== true) {
            $vh = end($vinculos_historico);
        } else {
            //tk_warning('Evento '.$vr_link.' nao cadastrado corretamente - EH');
        }


        return $vh;
    }


    /**
     * Retorna evento historico na data de competencia.
     *
     * @param integer $nrEventom      Numero do evento.
     * @param string  $mesCompetencia Mes de competencia.
     *
     * @return Ambigous <FpaeventohEntity, NULL>
     *
     * @author alessandrobartels - 20/10/2011
     */
    public static function retornaHistoricoPorCompetencia($nrEventom, $mesCompetencia){
        $eventoHistorico = self::getObjectByWhere(
            'NREVENTOM = ?
             AND DTMESCOMPETENC = ?',
            array(
             $nrEventom, $mesCompetencia,
            )
        );
        return $eventoHistorico;
    }

    public static function retornaEventoh($nrEventom){
        $eventos = array();
        try{
            $eventos = self::getObjectsByWhere(
                'NREVENTOM = ?',
                array(
                    $nrEventom,
                )
            );
        } catch (Exception $e){
            echo $e->getMessage().'<br />';
        }

        return $eventos;
    }

    /**
     * Retorna o numero maximo da ordem de impressao por tipo de evento.
     *
     * @param string $idTipoEvento Tipo do evento.
     *
     * @return integer
     *
     * @author alessandrobartels - 20/10/2011
     */
    public static function retornaMaximoOrdemImpressaoPorTipoEvento($idTipoEvento){
        /* $db = TkDb::singleton(); */
        $db = \Setforms2\Runtime\Connection::getInstance();
        $sql = 'SELECT MAX(FPA_EVENTOH.NRORDIMPRESEVEN)
        		FROM FPA_EVENTOH
				INNER JOIN FPA_EVENTOM
				ON FPA_EVENTOM.NREVENTOM = FPA_EVENTOH.NREVENTOM
				AND FPA_EVENTOM.IDTIPOEVENTO = \''.$idTipoEvento.'\'';
        $resultado = $db->fetchOne($sql);
        return $resultado;

    }

    /**
     * @param $nreventom
     *
     * @return array
     * @autor jorgefonseca
     */
    public static function getMaiorEventoHistoricoPorEventoMestre($nreventom) {
        $db = \Setforms2\Runtime\Connection::getInstance();

        $sql = <<<SQL
        SELECT MAX(NREVENTOH) NREVENTOH, IDEVENTODEMONST
          FROM FPA_EVENTOH
        WHERE NREVENTOM = '$nreventom'
          GROUP BY NREVENTOM, IDEVENTODEMONST
SQL;
        $result = $db->fetchAll($sql);
        return end($result);
    }

}